Entur Developer
Seating manager

seat-display-controller


Get trip data by ID

GET
https://api.entur.io/seating-manager
/v1/seat-display/{datedServiceJourneyId}

Retrieves detailed information about a specific trip including coaches, seats, reservations, route & station names. Designed for use by seat displays in trains.

Get trip data by ID › path Parameters

datedServiceJourneyId
​string · required · style: simple

The unique identifier of the trip (DSJ)

Get trip data by ID › Headers

ET-Client-Name
​string · style: simple

Entur Client Header. It is required that all consumers identify themselves by using this header. Entur will deploy strict rate-limiting policies on API-consumers who do not identify with a header and reserves the right to block unidentified consumers. The structure of ET-Client-Name should be: <company>-<application>.

X-Correlation-Id
​string · style: simple

Correlation id

Get trip data by ID › Responses

200

OK

tripId
​string · required

The unique identifier of the trip (DSJ)

Example: VYG:DatedServiceJourney:67_OSL-BRG_25-05-22
route
​string[] · required
​object · required

Mapping of stop place IDs to human-readable station names

Example: {"NSR:StopPlace:337":"Oslo","NSR:StopPlace:548":"Bergen"}
​CoachResponse[] · required

Did you find what you were looking for?